Bug 224848 - devel/boehm-gc: Update to 7.6.2
Summary: devel/boehm-gc: Update to 7.6.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Carlos J. Puga Medina
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-01-02 21:25 UTC by Carlos J. Puga Medina
Modified: 2018-01-08 12:55 UTC (History)
0 users

See Also:
antoine: exp-run+


Attachments
patch (5.09 KB, patch)
2018-01-02 21:25 UTC, Carlos J. Puga Medina
no flags Details | Diff
patch (6.40 KB, patch)
2018-01-04 14:51 UTC, Carlos J. Puga Medina
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos J. Puga Medina freebsd_committer 2018-01-02 21:25:22 UTC
Created attachment 189348 [details]
patch

- Update boehm-gc to 7.6.2 release
- Remove patch that has been added upstream
- Drop maintainership
- Bump SHLIBS version in pkg-plist 

Changelog: https://github.com/ivmai/bdwgc/releases/tag/v7.6.2
Comment 2 Carlos J. Puga Medina freebsd_committer 2018-01-04 14:51:21 UTC
Created attachment 189400 [details]
patch

Fix build math/asymptote
Comment 3 Antoine Brodin freebsd_committer 2018-01-08 06:38:31 UTC
Exp-run looks fine.
Comment 4 commit-hook freebsd_committer 2018-01-08 12:53:14 UTC
A commit references this bug:

Author: cpm
Date: Mon Jan  8 12:52:50 UTC 2018
New revision: 458406
URL: https://svnweb.freebsd.org/changeset/ports/458406

Log:
  devel/boehm-gc: update to 7.6.2

  - Remove patch (added upstream)
  - Drop maintainership
  - Bump SHLIBS version in pkg-plist

  Changelog: https://github.com/ivmai/bdwgc/releases/tag/v7.6.2

  PR:		224848
  Exp-run by:	antoine

Changes:
  head/devel/boehm-gc/Makefile
  head/devel/boehm-gc/distinfo
  head/devel/boehm-gc/files/patch-include_gc_pthread_redirects.h
  head/devel/boehm-gc/files/patch-include_private_gc__priv.h
  head/devel/boehm-gc/files/patch-include_private_gcconfig.h
  head/devel/boehm-gc/pkg-plist
  head/devel/boehm-gc-redirect/Makefile
  head/devel/boehm-gc-threaded/Makefile
Comment 5 Carlos J. Puga Medina freebsd_committer 2018-01-08 12:55:05 UTC
Committed, thanks!